Subject: Re: [PATCH net v2] Revert "ipv6: preserve insertion order for same-scope addresses"

From: Ido Schimmel <[email-masked]>
Date: Wed, 3 Jun 2026 11:00:23 +0300

On Wed, Jun 03, 2026 at 09:29:55AM +0200, Fernando Fernandez Mancera wrote:
> We should document that the order matters, no that it is "random" because it
> isn't.

Did you consider writing a kernel selftest for this? Unlikely that the
order will change again when we are explicitly testing for a certain
order.